Subject: bug#17030: CEDET EDE documentation mentions android project, but not in tree

From: David Engster <[email-masked]>
Date: Tue, 18 Mar 2014 09:19:50 +0100

Dmitry Gutov writes:
> David Engster <[email-masked]> writes:
>
>> Because I'm not sure whether they are generally usable. Those features
>> haven't received much testing and are often honed to one specific setup.
>
> Do you expect them to get much testing while not being included in Emacs?

No, but it's better than merging half-baked code and waiting for bug
reports which probably won't get fixed.

> As long as they don't eat users' files, I'd release them as-is and then
> collect bug reports.

That doesn't work because there are not enough CEDET developers. Our
resources are stretched thin with maintaining the stuff that is already
in Emacs, so I'm not inclined to merge more, largely untested code which
I myself don't use.

However, if someone volunteers to act as maintainer for one those
packages, I'd merge them, although whoever wants to maintain the Android
project should make sure the head of the FSF is OK with it being in
Emacs, and I can't imagine anyone eager to start that discussion...

-David